<?PHP

/**
 *
 * @package   phpBB Extension - Oxpus Downloads
 * @copyright 2002-2021 OXPUS - www.oxpus.net
 * @license   http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
 *
 */

/*
* [ english ] language file for Download Extension
*/

/**
 * DO NOT CHANGE
 */
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = [];
}

$lang = array_merge($lang, [
	'DL_SEPERATOR_PREFIX'	=> '&nbsp;&nbsp;&nbsp;&nbsp;',
	'DL_SEPERATOR_SUFFIX'	=> '&#8627;&nbsp;&nbsp;',

	'DL_LOG_CAT_PERM_DROP'	=> '<strong>Permissions for categories have been reset</strong><br />&raquo; %1$s',

	'ACP_DOWNLOADS'		=> 'Downloads',
	'ADD_NEW_DOWNLOAD'	=> 'Add a new download',

	'CLICK_VIEW_NEW_VERSION'				=> 'You added a new release of this download.<br />This release got currently locked in order to be able to add a description and additional attachments<br />before this release is published.<br />%sClick here to open, edit and unlock this release.%s',
	'CLICK_RETURN_BUG_TRACKER'				=> '%sClick here to return to the bug tracker%s',
	'CLICK_RETURN_COMMENTS'					=> '%sClick here to return to the comments%s',
	'CLICK_RETURN_DOWNLOAD_DETAILS'			=> '%sClick here to return to the download%s',
	'CLICK_RETURN_DOWNLOADADMIN'			=> '%sClick here to return to the administration of the downloads%s',
	'CLICK_RETURN_DOWNLOADS'				=> '%sClick here to return to the Download Categories%s',
	'CLICK_RETURN_MODCP_APPROVE'			=> '%sClick here to return to the unapproved downloads%s',
	'CLICK_RETURN_MODCP_MANAGE'				=> '%sClick here to return to the moderator panel%s',
	'CLICK_RETURN_THUMBS'					=> '%sClick here to return to the image management%s',
	'CLICK_RETURN_TODO_EDIT'				=> '%sClick here to return to the todo list management%s',

	'DL_CONFIRM_DELETE_BUG_REPORT'	=> 'Are you certain that you want to delete this bug report?',
	'DL_CONFIRM_EXPLAIN'			=> 'To prevent spam messages about broken downloads please enter the following code.<br />Please enter the code in the input field and confirm with a click on "Send".',

	'DL_A_GUEST'						=> 'a guest',
	'DL_ACCOUNT'						=> 'You have <strong>%s</strong> traffic left this month.',
	'DL_ACP_ASSISTANT'					=> 'Setup Wizard',
	'DL_ACP_CAT_EDIT'					=> 'Category Management',
	'DL_ACP_CATEGORIES'					=> 'Category Management',
	'DL_ACP_CATEGORIES_MANAGEMENT'		=> 'Category Management',
	'DL_ACP_CONFIRM_PRIVACY'			=> 'Are you certain that you want to anonymize all user IPs in statistics?',
	'DL_ACP_CONFIRM_RESET_CACHE'		=> 'Are you certain that you want to purge the complete cache?',
	'DL_ACP_CONFIRM_RESET_CLICKS'		=> 'Are you certain that you want to reset all clicks of this month?',
	'DL_ACP_CONFIRM_RESET_FINISH'		=> 'The operation finished successfully',
	'DL_ACP_DROP_STATS'					=> 'Are you certain that you want to purge the statistical data?',
	'DL_ACP_DROP_STATS_CONFIRM'			=> 'This action cannot be reversed!',
	'DL_ACP_CONF_GENERAL'				=> 'General',
	'DL_ACP_CONF_LIMIT'					=> 'Limits',
	'DL_ACP_CONF_MESSAGE'				=> 'Messages',
	'DL_ACP_CONF_PROTECT'				=> 'Protection',
	'DL_ACP_CONF_RSS'					=> 'RSS Feed',
	'DL_ACP_CONF_TOPIC'					=> 'Topics',
	'DL_ACP_CONF_TRAFFIC'				=> 'Traffic',
	'DL_ACP_CONF_VIEW'					=> 'Displays',
	'DL_ACP_CONFIG'						=> 'General configuration',
	'DL_ACP_CONFIG_MANAGEMENT'			=> 'General configuration',
	'DL_ACP_EXT_BLACKLIST'				=> 'Blacklist filetypes',
	'DL_ACP_FIELDS'						=> 'User defined fields',
	'DL_ACP_FILES'						=> 'Download Management',
	'DL_ACP_FILES_EDIT'					=> 'Download Management',
	'DL_ACP_FILES_MANAGEMENT'			=> 'Download Management',
	'DL_ACP_IDX_TYPE_C'					=> 'Switch to compact index',
	'DL_ACP_IDX_TYPE_F'					=> 'Switch to full index',
	'DL_ACP_MAIN_STATS_CATEGORIES'		=> 'Main categories',
	'DL_ACP_MAIN_STATS_REMAIN_GTRAFFIC'	=> 'Remaining traffic for guests',
	'DL_ACP_MAIN_STATS_REMAIN_OFF'		=> 'empty',
	'DL_ACP_MAIN_STATS_REMAIN_TRAFFIC'	=> 'Remaining traffic for registered users',
	'DL_ACP_MAIN_STATS_SUBCATEGORIES'	=> 'Subcategories',
	'DL_ACP_MAIN_STATS_TOTAL_APPROVE'	=> 'Number of downloads waiting for approval',
	'DL_ACP_MAIN_STATS_TOTAL_BROKEN'	=> 'Number of reported downloads',
	'DL_ACP_MAIN_STATS_TOTAL_CAPPROVE'	=> 'Number of comments waiting for approval',
	'DL_ACP_MAIN_STATS_TOTAL_EXTERN'	=> 'includes external downloads',
	'DL_ACP_MAIN_STATS_TOTAL_GTRAFFIC'	=> 'Traffic limit for guests',
	'DL_ACP_MAIN_STATS_TOTAL_LIMIT'		=> 'Limit download folders',
	'DL_ACP_MAIN_STATS_TOTAL_NUM'		=> 'Number of downloads',
	'DL_ACP_MAIN_STATS_TOTAL_SIZE'		=> 'Size of download folders',
	'DL_ACP_MAIN_STATS_TOTAL_TFSIZE'	=> 'Size of release image files',
	'DL_ACP_MAIN_STATS_TOTAL_TODOS'		=> 'Number of items on the to-do list',
	'DL_ACP_MAIN_STATS_TOTAL_TRAFFIC'	=> 'Traffic limit for registered users',
	'DL_ACP_MAIN_STATS_TOTAL_TSIZE'		=> 'Size of all download image files',
	'DL_ACP_MAIN_STATS_TOTAL_VERSIONS'	=> 'Stored downloadsreleases',
	'DL_ACP_MAIN_STATS_TOTAL_VFSIZE'	=> 'Size of all release files',
	'DL_ACP_MAIN_STATS_TRAFFIC'			=> 'Traffic management',
	'DL_ACP_MAIN_STATS_TRAFFIC_OFF'		=> 'disabled',
	'DL_ACP_MAIN_STATS_TRAFFIC_ON'		=> 'enabled',
	'DL_ACP_MANAGEMANT_PAGE'			=> 'Download Extension Administration',
	'DL_ACP_MANAGEMANT_PAGE_EXPLAIN'	=> 'Here you can manage all Download Extension settings.<br />Choose one of the functions from the left side to change the respective settings.',
	'DL_ACP_OVERVIEW'					=> 'Summary',
	'DL_ACP_PERM_CHECK'					=> 'Permissions check',
	'DL_ACP_PERMISSIONS'				=> 'Permissions',
	'DL_ACP_STATS'						=> 'View Statistics',
	'DL_ACP_STATS_MANAGEMENT'			=> 'View Statistics',
	'DL_ACP_TOOLBOX'					=> 'Toolbox',
	'DL_ACP_TRAF_AUTO'					=> 'Auto Traffic',
	'DL_ACP_TRAF_ALL'					=> 'All Users',
	'DL_ACP_TRAF_USER'					=> 'One User',
	'DL_ACP_TRAF_GRP'					=> 'Group members',
	'DL_ACP_TRAFFIC'					=> 'Traffic Management',
	'DL_ACP_TRAFFIC_MANAGEMENT'			=> 'Traffic Management',
	'DL_ACTIVE'							=> 'Activate Download Panel',
	'DL_ADD'							=> 'Add',
	'DL_ADD_CATEGORY'					=> 'Add category',
	'DL_ADD_DOWNLOAD'					=> 'Add a new Download',
	'DL_ADD_EXTENSION'					=> 'Add a File Extension',
	'DL_ADD_USER'						=> 'This download was added on <strong>%s</strong> by <strong>%s</strong>',
	'DL_ALL'							=> 'All',
	'DL_ALL_STAT_DELETE'				=> 'Delete all statistical data',
	'DL_ANNOUNCEMENT_TOPIC'				=> 'Release Announcement',
	'DL_ANTISPAM'						=> 'Antispam',
	'DL_ANTISPAM_HOURS'					=> 'past hours',
	'DL_ANTISPAM_POSTS'					=> 'postcount',
	'DL_APPROVE'						=> 'Approve',
	'DL_APPROVE_COMMENTS'				=> 'Automatically approve every new comment',
	'DL_APPROVE_OVERVIEW'				=> 'There are unapproved downloads. Click here to approve them.',
	'DL_APPROVE_OVERVIEW_COMMENTS'		=> 'There are unapproved comments. Click the text to approve them.',
	'DL_ASSIGN'							=> 'Assign author',
	'DL_ASSIGN_CHANGED'					=> 'and the update user',
	'DL_ASSISTANT_ENDS'					=> 'Setup wizard finished.<br />You can now create more categories, add downloads or change permissions for the category you just created.<br />All other modules of the Download Extension are also available immediately.',
	'DL_ASSISTANT_EXPLAIN'				=> 'This wizard helps you to make the first important settings and to create a category so that you can manage downloads in it.<br />The path specified here will be created automatically if it does not exist. You can then create additional folders for the path using the toolbox and enter them in the category.<br />For each option you can click on the red icon on the right to see further explanations.',
	'DL_ASSISTANT_HINT'					=> 'This download area has no categories',
	'DL_ASSISTANT_LINK'					=> 'Start the Setup Wizard',
	'DL_ASSISTANT_OPEN_INDEX'			=> '<br /><br /><a href="%s">Go to category index</a>',
	'DL_ASSISTANT_OPEN_PERM'			=> '<br /><br /><a href="%s">Go to permission settings for this category</a>',
	'DL_ASSISTANT_OPEN_TOOL'			=> '<br /><br /><a href="%s">Go to Toolbox, if you want to create another folder</a>',
	'DL_ASSISTANT_NAME_MISSING'			=> 'Category name missing.',
	'DL_ASSISTANT_PERM_MISSING'			=> 'Missing permission specification for <strong>%s</strong>.',
	'DL_ASSISTANT_WELCOME'				=> 'Welcome to the Setup Wizard of the Download Extension',
	'DL_AUTH_CPOST'						=> 'Write comments',
	'DL_AUTH_CREAD'						=> 'Read comments',
	'DL_AUTH_DL'						=> 'Download',
	'DL_AUTH_MOD'						=> 'Moderate',
	'DL_AUTH_MULTI_EXPLAIN'				=> 'You selected more than one category and/or usergroup. Therefore the permissions were not preset.',
	'DL_AUTH_SINGLE_EXPLAIN'			=> 'You selected 1 category and 1 usergroup, therefore the permissions have been preset to the saved values.',
	'DL_AUTH_UP'						=> 'Upload',
	'DL_AUTH_VIEW'						=> 'View',
	'DL_AUTO_ADD_FAV'					=> 'Automatically add downloads to favorites',
	'DL_AUTO_ADD_FAV_ONE'				=> 'Add download automatically to favorites',
	'DL_AUTO_ADD_FAV_SELECT'			=> 'decide individually',
	'DL_AUTO_TRAFFIC'					=> 'Automatic download traffic',
	'DL_AUTO_TRAFFIC_EXPLAIN'			=> 'On this table you can set the traffic all users or all members of a usergroup will get every month for downloads.',

	'DL_BLUE_EXPLAIN'				=> 'No more overall traffic left for this month',
	'DL_BLUE_EXPLAIN_FILE'			=> 'No more file traffic left for this month',
	'DL_BLUE_EXPLAIN_FOOT'			=> 'No more overall traffic or file/category traffic left for this month',
	'DL_BROKEN'						=> 'Report broken download',
	'DL_BROKEN_CUR'					=> 'This download is currently reported as broken',
	'DL_BROKEN_MOD'					=> 'Reset broken download status',
	'DL_BROKEN_OVERVIEW'			=> 'There are broken downloads. Click here to check them.',
	'DL_BUG_REPORT_ADDED'			=> 'Bug report successfull added',
	'DL_BUG_REPORT_ASSIGN'			=> 'assign',
	'DL_BUG_REPORT_ASSIGN_DATE'		=> 'Assigned at',
	'DL_BUG_REPORT_ASSIGNED'		=> 'Assigned to',
	'DL_BUG_REPORT_AUTHOR'			=> 'Reported by',
	'DL_BUG_REPORT_DATE'			=> 'Reported at',
	'DL_BUG_REPORT_DB'				=> 'DB',
	'DL_BUG_REPORT_DETAIL'			=> 'Details',
	'DL_BUG_REPORT_FILE'			=> 'Download',
	'DL_BUG_REPORT_FORUM'			=> 'Forum',
	'DL_BUG_REPORT_HISTORY'			=> 'History',
	'DL_BUG_REPORT_ID'				=> 'Report ID',
	'DL_BUG_REPORT_NO_TEXT'			=> 'You haven’t entered a description for this bug report',
	'DL_BUG_REPORT_NO_TITLE'		=> 'You didn’t enter a title for this bug report',
	'DL_BUG_REPORT_PHP'				=> 'PHP',
	'DL_BUG_REPORT_REASSIGN'		=> 'reassign',
	'DL_BUG_REPORT_STATUS'			=> 'Status',
	'DL_BUG_REPORT_STATUS_DATE'		=> 'Latest time of status',
	'DL_BUG_REPORT_STATUS_TEXT'		=> 'Some text for the new status. The reporter will be notified about this.',
	'DL_BUG_REPORT_STATUS_UPDATE'	=> 'update status',
	'DL_BUG_REPORT_TEXT'			=> 'Description',
	'DL_BUG_REPORT_TITLE'			=> 'Report Title',
	'DL_BUG_REPORT_TITLE_DETAILS'	=> 'Report',
	'DL_BUG_REPORT_UNASSIGNED'		=> 'unassigned',
	'DL_BUG_TRACKER'				=> 'Bug Tracker',
	'DL_BUG_TRACKER_CAT'			=> 'Enable Bug Tracker',
	'DL_BUG_TRACKER_FILE'			=> 'for this download',
	'DL_BUG_TRACKER_REPORT'			=> 'Bug Tracker Report',
	'DL_BYTES'						=> 'B',
	'DL_BYTES_LONG'					=> 'Bytes',

	'DL_CAN_DOWNLOAD_TRAFFIC'			=> 'You have already downloaded this file.<br />The administrator allows you to download it again without debiting your traffic account.',
	'DL_CAN_DOWNLOAD_TRAFFIC_FOOTER'	=> '<strong>The administrator currently allows you to load already downloaded files again without debiting your traffic account.</strong><br /><br />',
	'DL_CAPTCHA_PERM_0'					=> 'disabled',
	'DL_CAPTCHA_PERM_1'					=> 'Guests',
	'DL_CAPTCHA_PERM_2'					=> 'Guests and Standard Users',
	'DL_CAPTCHA_PERM_3'					=> 'Guests, Standard Users and DL-Moderators',
	'DL_CAPTCHA_PERM_4'					=> 'Guests, Standard Users, DL-Moderators and Administrators',
	'DL_CAPTCHA_PERM_5'					=> 'Guests and all Users incl. Founders',
	'DL_CAT_DESCRIPTION'				=> 'Description',
	'DL_CAT_EDIT_EXPLAIN'				=> 'Here you can manage the categories for the Download Extension.',
	'DL_CAT_EDIT_LINK'					=> 'Show edit link in category',
	'DL_CAT_EDIT_LINK_0'				=> 'Deactivated',
	'DL_CAT_EDIT_LINK_1'				=> 'Only administrators',
	'DL_CAT_EDIT_LINK_2'				=> 'Administrators and Download Moderators',
	'DL_CAT_EDIT_LINK_3'				=> 'Administrators, Download Moderators and own downloads',
	'DL_CAT_FILES'						=> 'File(s)',
	'DL_CAT_ICON'						=> 'Category Icon',
	'DL_CAT_INDEX'						=> 'Highest Level',
	'DL_CAT_NAME'						=> 'Category',
	'DL_CAT_PARENT'						=> 'Parent category',
	'DL_CAT_PATH'						=> 'Path',
	'DL_CAT_PATH_SELECT'				=> '-- Select the path --',
	'DL_CAT_RULES'						=> 'Rules',
	'DL_CAT_TITLE'						=> 'Downloads - Categories',
	'DL_CAT_TRAFFIC'					=> 'Traffic quotum (currently available: %s)',
	'DL_CAT_TRAFFIC_MAIN'				=> 'For now %s traffic is left in this category',
	'DL_CAT_TRAFFIC_OFF'				=> 'Traffic quotum (currently off)',
	'DL_CATEGORY_ADDED'					=> 'Category added',
	'DL_CATEGORY_REMOVED'				=> 'Category removed successfully',
	'DL_CATEGORY_UPDATED'				=> 'Category updated',
	'DL_CHANGE_USER'					=> ' and last edited on <strong>%s</strong> by <strong>%s</strong>',
	'DL_CHECK_FILE_SIZES'				=> 'Check file sizes',
	'DL_CHECK_FILESIZES_RESULT'			=> 'All files are up to date and no error was found',
	'DL_CHECK_FILESIZES_RESULT_ERROR'	=> 'The following files could not be checked:',
	'DL_CHECK_THUMBNAILS'				=> 'Check thumbnails',
	'DL_CHOOSE_CATEGORY'				=> 'Choose a category',
	'DL_COMMENT'						=> 'Comment',
	'DL_COMMENT_ADDED'					=> 'Comment successfully added',
	'DL_COMMENT_DELETE'					=> 'Delete',
	'DL_COMMENT_EDIT'					=> 'Edit',
	'DL_COMMENT_EDITED'					=> 'Comment last edited on %s',
	'DL_COMMENT_SHOW'					=> 'Show all comments for this download',
	'DL_COMMENT_UPDATED'				=> 'Comment successfully updated',
	'DL_COMMENT_WRITE'					=> 'Post comment',
	'DL_COMMENTS'						=> 'Comments',
	'DL_COMMENTS_COUNT'					=> '%s comments',
	'DL_COMMENTS_DELETE'				=> 'Delete comments',
	'DL_COMMENTS_DELETE_ALL'			=> 'Delete all comments',
	'DL_COMMENTS_PROFILE'				=> 'Download comments',
	'DL_CONFIG'							=> 'Download configuration',
	'DL_CONFIG_EXPLAIN'					=> 'Here you can enable and disable various functions of the Download Extension and change some settings.',
	'DL_CONFIG_UPDATED'					=> 'Download configuration saved successfully',
	'DL_CONFIRM_ALL_COMMENTS_DELETE'	=> 'Are you certain that you want to delete all comments?',
	'DL_CONFIRM_ALL_STATS_DELETE'		=> 'Are you certain that you want to delete all statistical data?',
	'DL_CONFIRM_CAT_COMMENTS_DELETE'	=> 'Are you certain that you want to delete the comments from the category <strong>%s</strong>?',
	'DL_CONFIRM_CAT_DELETE'				=> 'Do you really want to delete the category <strong>%s</strong>?',
	'DL_CONFIRM_CAT_STATS_DELETE'		=> 'Are you certain that you want to delete the statistical data from the category <strong>%s</strong>?',
	'DL_CONFIRM_DELETE_EXTENSION'		=> 'Are you certain to drop the Extension <strong>%s</strong>?',
	'DL_CONFIRM_DELETE_EXTENSIONS'		=> 'Are you certain to drop the Extensions <strong>%s</strong>?',
	'DL_CONFIRM_DELETE_MULTIPLE_FILES'	=> 'Do you really want to delete these <strong>%d downloads</strong>?',
	'DL_CONFIRM_DELETE_SINGLE_FILE'		=> 'Do you really want to delete the download <strong>%s</strong>?',
	'DL_CONFIRM_DEL_VERSIONS'			=> 'Are you certain to delete the selected versions?',
	'DL_CONFIRM_DEL_VERSIONS_CONFIRM'	=> '',
	'DL_COPY_PERMISSIONS'				=> 'Copy Permissions',
	'DL_CURRENT_VERSION'				=> 'Current Version',

	'DL_DAYS'						=> 'Days',
	'DL_DEFAULT_SORT'				=> 'Default sorting',
	'DL_DELAY_AUTO_TRAFFIC'			=> 'Delay auto traffic for new User',
	'DL_DELAY_POST_TRAFFIC'			=> 'Delay traffic for posts for new User',
	'DL_DELETE'						=> 'Delete',
	'DL_DELETE_CAT'					=> 'Delete Category',
	'DL_DELETE_CAT_AND_FILES'		=> 'Delete this category and all files contained within',
	'DL_DELETE_CAT_CONFIRM'			=> 'Choose a catagory to which each download will be moved to or use another action',
	'DL_DELETE_CAT_ONLY'			=> 'Delete only this category',
	'DL_DELETE_EXTENSION_CONFIRM'	=> 'Drop file extension from blacklist',
	'DL_DELETE_EXTENSIONS_CONFIRM'	=> 'Drop file extensions from blacklist',
	'DL_DELETE_FILE_CONFIRM'		=> 'Also delete the file(s)',
	'DL_DETAIL'						=> 'Details',
	'DL_DIRECTION'					=> 'Action',
	'DL_DISABLE_NOTIFY'				=> 'Disable notify',
	'DL_DISABLE_POPUP_NOTIFY'		=> 'Allow to disable the edit time information on edit a download',
	'DL_DOWN'						=> 'down',
	'DL_DOWNLOAD'					=> 'Download',
	'DL_DOWNLOAD_LATEST'			=> 'Download Latest Version',
	'DL_DOWNLOADS_COUNT'			=> 'Number of downloads',
	'DL_DOWNLOADS_CUR_MONTH'		=> 'Downloads current month',
	'DL_DOWNLOADS_OVERALL'			=> 'Downloads overall',
	'DL_DOWNLOADS_TRAFFIC'			=> 'Overall download traffic',
	'DL_DROP_PERMISSIONS'			=> 'Permission Options',
	'DL_DROP_TRAFFIC_POSTDEL'		=> 'Decrease user traffic on deleting a post or topic',

	'DL_EDIT'					=> 'Updated download',
	'DL_EDIT_DOWNLOAD'			=> 'Edit download',
	'DL_EDIT_FILE'				=> 'Edit',
	'DL_EDIT_OWN_DOWNLOADS'		=> 'User can edit own files',
	'DL_EDIT_THUMBS'			=> 'Manage images',
	'DL_EDIT_THUMBS_TITLE'		=> 'Download %s - Manage images',
	'DL_EDIT_TIME'				=> 'Number of days an edited download will be marked',
	'DL_EMPTY_CATEGORY'			=> 'This category does not contain any downloads',
	'DL_ENABLE_INDEX_DESC'		=> 'Enable download description on categories',
	'DL_ENABLE_JUMPBOX'			=> 'Enable jumpbox in download footer',
	'DL_ENABLE_POST_TRAFFIC'	=> 'Enable traffic addition for posting',
	'DL_ENABLE_RATE'			=> 'Enable rating system',
	'DL_ENABLE_SEARCH_DESC'		=> 'Enable download description on search results',
	'DL_ENABLE_TOPIC'			=> 'Create a topic for each download',
	'DL_EXT_BLACKLIST'			=> 'Blacklist file types',
	'DL_EXT_BLACKLIST_EXPLAIN'	=> 'All file extensions entered here are disabled for upload with this extension.<br />On the Administration Panel these extensions will be used, too.<br />They don’t refer to existing downloads.',
	'DL_EXT_NEW_WINDOW'			=> 'Open external downloads in a new browser window',
	'DL_EXT_STATS_0'			=> 'Disable',
	'DL_EXT_STATS_1'			=> 'Show guests and all registered users',
	'DL_EXT_STATS_2'			=> 'Show all registered users',
	'DL_EXT_STATS_3'			=> 'Show only administrators',
	'DL_EXT_STATS_4'			=> 'Show only forum founders',
	'DL_EXTENSION'				=> 'New forbidden file extension',
	'DL_EXTENSIONS'				=> 'Forbidden file extensions',
	'DL_EXTERN'					=> 'External',
	'DL_EXTERN_UP'				=> 'External',

	'DL_FAVORITE'					=> 'Download Favorites',
	'DL_FAVORITE_ADD'				=> 'Notify me about changes on this download',
	'DL_FAVORITE_DROP'				=> 'Remove notifications about this download',
	'DL_FIELD_ACTIVATED'			=> 'The download field was activated',
	'DL_FIELD_ADDED'				=> 'The download field was added',
	'DL_FIELD_CHANGED'				=> 'The download field was changed',
	'DL_FIELD_DELETE'				=> 'Remove download field',
	'DL_FIELD_DELETE_CONFIRM'		=> 'Are you certain you want to delete this download field?',
	'DL_FIELD_DEACTIVATED'			=> 'The download field was deactivated',
	'DL_FIELD_REMOVED'				=> 'The download field was removed',
	'DL_FIELDS_STEP0_TITLE_CREATE'	=> 'User defined fields',
	'DL_FIELDS_STEP1_TITLE_CREATE'	=> 'Add a user defined field',
	'DL_FIELDS_STEP1_TITLE_EDIT'	=> 'Edit a user defined field',
	'DL_FIELDS_STEP2_TITLE_CREATE'	=> 'Add a user defined field',
	'DL_FIELDS_STEP2_TITLE_EDIT'	=> 'Edit a user defined field',
	'DL_FIELDS_STEP3_TITLE_CREATE'	=> 'Add a user defined field',
	'DL_FIELDS_STEP3_TITLE_EDIT'	=> 'Edit a user defined field',
	'DL_FIELDS_STEP0_EXPLAIN'		=> 'Here you can manage individual download fields. These fields are shown while creating or editing a download and are displayed after saving only in the download details. You can not search for these fields so they simply contain additional information about the downloads. Please note that the additional download fields are available on each download and can not be assigned to seperate download categories.',
	'DL_FIELDS_STEP1_EXPLAIN'		=> 'Here you can enter the first basic parameters of your new download field. This information is needed for the second step where you’ll be able to set remaining options and tweak your download field further.',
	'DL_FIELDS_STEP2_EXPLAIN'		=> 'Here you are able to define some common options you may want to adjust.',
	'DL_FIELDS_STEP3_EXPLAIN'		=> 'Since you have more than one board language installed, you have to fill out the remaining language items, too. The download field will work with the default language enabled, so you are able to fill out the remaining language items later, too.',
	'DL_FIELDS_REQUIRED'			=> 'Required field',
	'DL_FIELDS_REQUIRED_EXPLAIN'	=> 'Force profile field to be filled in or specified by user or administrator.',
	'DL_FILE_DESCRIPTION'			=> 'Description',
	'DL_FILE_HASH_ALGO'				=> 'File hash method',
	'DL_FILEBASE_MOVED'				=> 'The file storage was changed successfully',
	'DL_FILEBASE_NOT_DROPPED'		=> 'The old file storage can not be deleted. Please check this manually.',
	'DL_FILEBASE_NOT_MOVED'			=> 'The new file storage can not be build. Please check the destination folder permissions.',
	'DL_FILE_EDIT'					=> '* Update *',
	'DL_FILE_EDIT_HINT'				=> 'Note for edit downloads',
	'DL_FILE_HASH_MD5'				=> 'MD5',
	'DL_FILE_HASH_SHA1'				=> 'SHA1',
	'DL_FILE_NAME'					=> 'File',
	'DL_FILE_NEW'					=> '* New *',
	'DL_FILE_NOT_FOUND'				=> '<strong>The file %s was not found!</strong><br />Make sure that this file exists in the folder %s!',
	'DL_FILE_SIZE'					=> 'Size',
	'DL_FILES_EXTERN'				=> 'URL',
	'DL_FILES_INTERN'				=> 'File',
	'DL_FILES_TITLE'				=> 'Files',
	'DL_FILES_URL'					=> 'URL',
	'DL_FILTER'						=> 'Filter',
	'DL_FILTER_BT_ASSIGN'			=> 'Show my assignments',
	'DL_FILTER_BT_OWN'				=> 'Show my reports',
	'DL_FILTER_OPEN'				=> 'All open entries',
	'DL_FILTER_STRING'				=> 'Use * or % as placeholder',
	'DL_FOOTER'						=> 'Ministats',
	'DL_FORBIDDEN_EXT_EXPLAIN'		=> 'Forbidden file extensions: %s',
	'DL_FORBIDDEN_EXTENSION'		=> 'This file extension is currently not allowed!<br />Please go back and use an other file type.',
	'DL_FREE'						=> 'Free download',
	'DL_FUNCTION'					=> 'Function',

	'DL_GB'						=> 'GiB',
	'DL_GLOBAL_BOTS'			=> 'Global access for bots',
	'DL_GLOBAL_GUESTS'			=> 'Global access for guests',
	'DL_GO'						=> 'Go',
	'DL_GOTO'					=> 'Goto category',
	'DL_GOTO_MCP'				=> 'Goto category:',
	'DL_GREEN_EXPLAIN'			=> 'Download! No debit on user account.',
	'DL_GREEN_EXPLAIN_T_OFF'	=> 'Download!',
	'DL_GREY_EXPLAIN'			=> 'Download! External source. No debit on user account.',
	'DL_GREY_EXPLAIN_T_OFF'		=> 'Download! External source.',
	'DL_GROUP_AUTO_TRAFFIC'		=> 'Traffic for user groups',
	'DL_GROUP_NAME'				=> 'Group Names',
	'DL_GUEST_STAT_DELETE'		=> 'Delete all data of guests',
	'DL_GUEST_STATS_ADMIN'		=> 'Show guests data, too',
	'DL_GUEST_STATS_SHOW'		=> 'Show guests in the detailed category statistics',

	'DL_HACK_AUTOR'			=> 'Author',
	'DL_HACK_AUTOR_EMAIL'	=> 'Author email',
	'DL_HACK_AUTOR_WEBSITE'	=> 'Author website',
	'DL_HACK_DL_URL'		=> 'Alternative Download',
	'DL_HACK_VERSION'		=> 'File release',
	'DL_HACKLIST'			=> 'List in hacklist',
	'DL_HACKS_LIST'			=> 'hacklist',
	'DL_HOTLINK_ACTION'		=> 'Link action for direct download links',
	'DL_HOTLINK_ACTION_ONE'	=> 'redirect to details',
	'DL_HOTLINK_ACTION_TWO'	=> 'display message',
	'DL_HOTLINK_PERMISSION'	=> 'You are not allowed to download this file directly with a link!',

	'DL_ICON_FREE_FOR_REG'	=> 'Display the white download icon for guests',
	'DL_IMAGES'				=> 'Images',
	'DL_INDEX_DESC_HIDE'	=> 'Hide category descriptions',
	'DL_INFO'				=> 'Info',
	'DL_IN_PROGRESS'	 	=> 'Downloading ...',
	'DL_IP'					=> 'IP Address',
	'DL_IS_FREE'			=> 'Free',
	'DL_IS_FREE_REG'		=> 'Free for reg. users',

	'DL_KB'				=> 'KiB',
	'DL_KLICK_TO_RATE'	=> 'Rate',
	'DL_KLICKS'			=> 'Current Clicks',
	'DL_KLICKS_RESET'	=> 'Reset clicks for this month',

	'DL_LAST_COMMENT'			=> 'Last comment',
	'DL_LAST_TIME'				=> ' Last download <strong>%s</strong>',
	'DL_LAST_TIME_EXTERN'		=> ' Last download from external URL on <strong>%s</strong>',
	'DL_LATEST_COMMENTS'		=> 'Displays the last X comments on download details',
	'DL_LATEST_DOWNLOAD'		=> 'Latest download',
	'DL_LATEST_DOWNLOADS'		=> 'Latest downloads',
	'DL_LATEST_TYPE_OFF'		=> 'Deactivated',
	'DL_LATEST_TYPE_DEFAULT'	=> 'new and updated downloads',
	'DL_LATEST_TYPE_COMPLETE'	=> 'all downloads',
	'DL_LATEST_UPLOADS'			=> 'Latest uploads',
	'DL_LATEST_VERSION'			=> 'Latest Version',
	'DL_LIMIT_DESC_ON_INDEX'	=> 'Limit the download descriptions on index',
	'DL_LIMIT_DESC_ON_SEARCH'	=> 'Limit the download descriptions on search results',
	'DL_LINKS_PER_PAGE'			=> 'Downloads per page',
	'DL_LOCK'					=> 'Lock',

	'DL_LOG_ALL_TR_ADD'		=> '<strong>Download Traffic added</strong><br />&raquo; Traffic for all users: %1$s %2$s',
	'DL_LOG_ALL_TR_SET'		=> '<strong>Download Traffic set</strong><br />&raquo; Traffic for all users: %1$s %2$s',
	'DL_LOG_AUTO_TR_GRP'	=> '<strong>Automatic Download Traffic entered</strong><br />&raquo; User group: %1$s<br /> &raquo; Traffic: %2$s %3$s',
	'DL_LOG_AUTO_TR_USER'	=> '<strong>Automatic Download Traffic entered</strong><br />&raquo; User without groups/Guests: %1$s %2$s',
	'DL_LOG_CAT_ADD'		=> '<strong>Download Category added</strong><br />&raquo; %s',
	'DL_LOG_CAT_DEL'		=> '<strong>Download Category deleted</strong><br />&raquo; %s',
	'DL_LOG_CAT_EDIT'		=> '<strong>Download Category edited</strong><br />&raquo; %s',
	'DL_LOG_CAT_MOVE'		=> '<strong>Download Category moved</strong><br />&raquo; %s',
	'DL_LOG_CAT_PERM_ALL'	=> '<strong>Permissions from category changed</strong><br />&raquo; %1$s<br />&raquo; View: %2$s<br />&raquo; Download: %3$s<br />&raquo; Upload: %4$s<br />&raquo; Moderation: %5$s<br />&raquo; View Comments: %6$s<br />&raquo; Post Comments: %7$s',
	'DL_LOG_CAT_PERM_COPY'	=> '<strong>Permissions copied from Download Category</strong><br />&raquo; from “%1$s” to “%2$s”',
	'DL_LOG_CAT_PERM_GRP'	=> '<strong>Permissions from category changed</strong><br />&raquo; %1$s for User group %2$s<br />&raquo; View: %3$s<br />&raquo; Download: %4$s<br />&raquo; Upload: %5$s<br />&raquo; Moderation: %6$s',
	'DL_LOG_CAT_SORT_ASC'	=> '<strong>Download Categories sorted alphabetically</strong>',
	'DL_LOG_CONFIG'			=> '<strong>Download configuration changed</strong>',
	'DL_LOG_DEL_ALL_COM'	=> '<strong>Download comments deleted</strong>',
	'DL_LOG_DEL_ALL_STATS'	=> '<strong>Download statistics deleted</strong>',
	'DL_LOG_DEL_CAT_COM'	=> '<strong>Comments from Download Category deleted</strong><br />&raquo; %s',
	'DL_LOG_DEL_CAT_STATS'	=> '<strong>Statistics of Download Category deleted</strong><br />&raquo; %s',
	'DL_LOG_DEL_FILE'		=> '<strong>Download deleted</strong><br />&raquo; %s',
	'DL_LOG_EXT_ADD'		=> '<strong>Download File Extension forbidden</strong><br />&raquo; %s',
	'DL_LOG_EXT_DEL'		=> '<strong>Download File Extension(s) allowed</strong><br /> &raquo; %s',
	'DL_LOG_FIELD_ACTIVATE'	=> '<strong>Download field activated</strong><br /> &raquo; %s',
	'DL_LOG_FIELD_CREATE'	=> '<strong>Download field created</strong><br /> &raquo; %s',
	'DL_LOG_FIELD_DEACT'	=> '<strong>Download field deactivated</strong><br /> &raquo; %s',
	'DL_LOG_FIELD_EDIT'		=> '<strong>Download field edited</strong><br /> &raquo; %s',
	'DL_LOG_FIELD_REMOVED'	=> '<strong>Download field removed</strong><br /> &raquo; %s',
	'DL_LOG_FILE_ADD'		=> '<strong>Download added</strong><br />&raquo; %s',
	'DL_LOG_FILE_ASS'		=> '<strong>File assigned to download</strong><br />&raquo; %s',
	'DL_LOG_FILE_DROP'		=> '<strong>Unassigned download files deleted</strong><br />&raquo; %s',
	'DL_LOG_FILE_EDIT'		=> '<strong>Download edited</strong><br />&raquo; %s',
	'DL_LOG_FILE_MOVE'		=> '<strong>Download moved</strong><br />&raquo; %s',
	'DL_LOG_FILES_CHECK'	=> '<strong>Downloads checked and resynchronised</strong>',
	'DL_LOG_FILES_SORT'		=> '<strong>All downloads in category sorted</strong><br />&raquo; %s',
	'DL_LOG_FOLDER_CREATE'	=> '<strong>Download Folder created</strong><br />&raquo; %s',
	'DL_LOG_FOLDER_DROP'	=> '<strong>Download Folder deleted</strong><br />&raquo; %s',
	'DL_LOG_GRP_TR_ADD'		=> '<strong>Download Traffic added</strong><br />&raquo; User group: %1$s<br /> &raquo; Traffic: %2$s %3$s',
	'DL_LOG_GRP_TR_SET'		=> '<strong>Download Traffic set</strong><br />&raquo; User group: %1$s<br /> &raquo; Traffic: %2$s %3$s',
	'DL_LOG_STATS_ALL'		=> '<strong>All Download statistical data deleted</strong>',
	'DL_LOG_STATS_ANONYM'	=> '<strong>Download Statistics from guest accounts deleted</strong>',
	'DL_LOG_STATS_SOME'		=> '<strong>Chosen Download Statistics deleted</strong>',
	'DL_LOG_THUMBS_DEL'		=> '<strong>Unassigned download thumbnails deleted</strong>',
	'DL_LOG_USER_TR_ADD'	=> '<strong>Download Traffic added</strong><br />&raquo; User: %1$s<br /> &raquo; Traffic: %2$s %3$s',
	'DL_LOG_USER_TR_SET'	=> '<strong>Download Traffic set</strong><br />&raquo; User: %1$s<br /> &raquo; Traffic: %2$s %3$s',

	'DL_MANAGE'						=> 'Toolbox',
	'DL_MANAGE_CONTENT_COUNT'		=> '%s entries',
	'DL_MANAGE_CREATE_DIR'			=> 'Create this folder',
	'DL_MANAGE_EMPTY_FOLDER'		=> 'This folder is empty...',
	'DL_MANAGE_EXPLAIN'				=> 'Here you can manage the download files. You can use the following functions:<br /><br />- Delete or move unassigned files<br />- Join assigned files without existing category to an existing one<br />- Browse the files (<i>Default after opening the management</i>)<br />- Create a new folder<br />- Delete empty folders<br />- Check the file size for each not external download<br /><br /><strong>Attention:</strong><br />This tool will not replace a FTP client!<br />Functions like uploading, moving and replacing files are not possible with this tool!',
	'DL_MARK_ALL'					=> 'Mark all',
	'DL_MB'							=> 'MiB',
	'DL_MOD_DESC'					=> 'How this works',
	'DL_MOD_DESC_ALLOW'				=> 'Allow detail description',
	'DL_MOD_FILE_HASH_TABLE'		=> 'File hash table',
	'DL_MOD_LIST_SHORT'				=> 'Extra Information',
	'DL_MOD_REQUIRE'				=> 'Requires',
	'DL_MOD_TEST'					=> 'Tested on/with',
	'DL_MOD_TODO'					=> 'To do',
	'DL_MOD_VERSION'				=> 'Download Extension %s &copy; 2002 - ' . date('Y', time()) . ' by Hotschi, Demolition Fabi, OXPUS',
	'DL_MOD_VERSION_PUBLIC'			=> 'Download Extension &copy; by Hotschi, Demolition Fabi, OXPUS',
	'DL_MOD_WARNING'				=> 'Warnings',
	'DL_MODCP_APPROVE'				=> 'Approve downloads',
	'DL_MODCP_BROKEN'				=> 'Reported downloads',
	'DL_MODCP_CAPPROVE'				=> 'Approve comments',
	'DL_MODCP_EDIT'					=> 'Edit download',
	'DL_MODCP_MANAGE'				=> 'Manage downloads',
	'DL_MODCP_MOD_AUTH'				=> '%sModerator Panel%s',
	'DL_MODCP_MOD_SELECT'			=> 'Select an option',
	'DL_MODCP_QUEUE'				=> 'Moderation Queue',
	'DL_MOVE'						=> 'Move to',
	'DL_MOVE_TARGET'				=> 'Move to &raquo; %s',
	'DL_MUST_APPROVE'				=> 'Uploads into this category must be approved',
	'DL_MUST_BE_APPROVE_COMMENT'	=> 'This comment must be approved by an moderator or administrator!',
	'DL_MUST_BE_APPROVED'			=> 'This download must be approved by an administrator or a moderator for this category.',

	'DL_NAME'							=> 'Name',
	'DL_NAV_LINK_MAIN'					=> 'Link position for Downloads {U_DL_NAVI}',
	'DL_NAV_LINK_HACKS'					=> 'Link position to Hacklist {U_DL_HACKS_LIST}',
	'DL_NAV_LINK_TRACKER'				=> 'Link position to Bug Tracker {U_DL_BUG_TRACKER}',
	'DL_NAV_LINK_HIDE'					=> 'Hide link',
	'DL_NAV_LINK_NHQLB'					=> 'On top of the quick-links drop-down menu in the header',
	'DL_NAV_LINK_NHQLA'					=> 'On bottom of the quick-links drop-down menu in the header',
	'DL_NAV_LINK_OHNP'					=> 'At the beginning of the navigation links in the header',
	'DL_NAV_LINK_OHNA'					=> 'After the navigation links in the header [default]',
	'DL_NAV_LINK_NHUPP'					=> 'To the right of the user drop down menu',
	'DL_NAV_LINK_NHPLB'					=> 'At the beginning of the profile drop-down menu in the header navbar',
	'DL_NAV_LINK_NHPLA'					=> 'At the end of the profile drop-down menu in the header navbar',
	'DL_NAV_LINK_NHUPA'					=> 'To the left of the notification area',
	'DL_NAV_LINK_OFTZB'					=> 'In the navbar in the page footer, after "Timezone"',
	'DL_NAV_LINK_OFTZA'					=> 'In the navbar in the page footer, before "Timezone"',
	'DL_NAV_LINK_OFTLB'					=> 'After the team-link in the footer',
	'DL_NAV_LINK_OFTLA'					=> 'Before the team-link in the footer',
	'DL_NAV_PATH_ACP'					=> '<strong> -> </strong>',
	'DL_NAV_PATH_DEFAULT'				=> '&nbsp;&raquo;&nbsp;',
	'DL_NEW'							=> 'New download',
	'DL_NEW_EDIT'						=> 'New and updated Download',
	'DL_NEW_TIME'						=> 'Number of days a new download will be marked',
	'DL_NEWTOPIC_TRAFFIC'				=> 'Download traffic for every newly created topic',
	'DL_NO'								=> 'No',
	'DL_NO_ACCESS'						=> 'Access denied!<br />You have no permission to download this file!',
	'DL_NO_APPROVE'						=> 'No downloads available for approval',
	'DL_NO_CAPPROVE'					=> 'No comments available for approval',
	'DL_NO_BUG_TRACKER'					=> 'No reports found',
	'DL_NO_CATEGORY'					=> 'There does not exist a category yet. Please create a category before setting permissions.',
	'DL_NO_CATEGORY_INDEX'				=> 'This download section has no categories',
	'DL_NO_CHANGE'						=> 'No change',
	'DL_NO_CHANGE_EDIT_TIME'			=> 'Do not log this update',
	'DL_NO_CONFIG'						=> 'User configuration locked',
	'DL_NO_EXTERNAL_URL'				=> 'Please enter a valid URL to submit an external download',
	'DL_NO_FILENAME_ENTERED'			=> 'Please select a file before uploading',
	'DL_NO_FILTER'						=> '- no filter -',
	'DL_NO_GROUPS_FOR_TRAFFIC'			=> 'No user group found<br />Please add a user group before you set up download traffic for it',
	'DL_NO_INFO'						=> 'Version server could not be contacted',
	'DL_NO_LAST_TIME'					=> 'No downloads counted up to now...',
	'DL_NO_MOD_TODO'					=> 'No Extension To-do’s for now',
	'DL_NO_MORE_REMAIN_GUEST_TRAFFIC'	=> 'The traffic for downloads for guests in %s is entirely used up for this month. Please wait until the next month or ask an administrator.',
	'DL_NO_MORE_REMAIN_TRAFFIC'			=> 'The traffic for downloads for registered users in %s is completely used up for this month. Please wait until the next month or ask an administrator.',
	'DL_NO_PERMISSION'					=> 'Access denied!<br /><br />You do not have the permissions to do this!',
	'DL_NO_PERMS_COPY'					=> 'Do not copy / keep current permissions',
	'DL_NO_UNASSIGNED_FILES'			=> 'No available files found.<br />Please upload the desired file to the server e.g. with an FTP client or embed the file via the form in the board area.',
	'DL_NO_UPLOAD_TRAFFIC'				=> 'Sorry, but there is no upload traffic left. Please contact the admin if you want to upload this file',
	'DL_NOT_ACTIVE'						=> 'locked',
	'DL_NOT_AVAILABLE'					=> 'not available',
	'DL_NOT_UP_TO_DATE'					=> '%s is not up to date',

	'DL_OFF_GUESTS'				=> 'Not for guests',
	'DL_OFF_HIDE'				=> 'Hide link in board navigation (if Extension is inactive)',
	'DL_OFF_MESSAGE'			=> 'The download area is currently locked. <br /> Please try again later.',
	'DL_OFF_MESSAGE_ADMIN'		=> 'The download area is currently locked',
	'DL_OFF_NOW'				=> 'now',
	'DL_OFF_NOW_TIME'			=> 'Deactivate now or for a time span',
	'DL_OFF_TIME'				=> 'time span',
	'DL_ON_ADMINS'				=> 'Still allow administrators',
	'DL_OFF_PERIOD'				=> 'Deactivate from',
	'DL_OFF_PERIOD_TILL'		=> 'Deactivate until',
	'DL_ORDER'					=> 'Sort',
	'DL_OVERALL_GUEST_TRAFFIC'	=> 'Traffic for guests for all files per month',
	'DL_OVERALL_KLICKS'			=> 'Total clicks',
	'DL_OVERALL_TRAFFIC'		=> 'Traffic for registered users for all files per month',
	'DL_OVERVIEW'				=> 'Overall list',
	'DL_OVERVIEW_LINK'			=> 'Display link to overall list',
	'DL_OVERVIEW_TITLE'			=> 'Overall downloads list',

	'DL_PAGE_BUG_TRACKER'		=> 'Bug Tracker',
	'DL_PAGE_DL_HACKSLIST'		=> 'Hacks list',
	'DL_PAGE_DOWNLOADS'			=> 'Downloads',
	'DL_PATH_NOT_EXIST'			=> 'The entered folder <u>%s</u> can not be found under <u>phpbb_forum_root/%s</u>!<br /><br />The complete path based on your setting will be <u>phpbb_forum_root/%s</u>.<br />This folder can not be used because the needed permissions are missing or the folder still does not exist.<br /><br />Please check the permissions for this path or enter a valid foldername.<br />If the folder does not exist please create it <u>now</u> within a FTP client<br />and set the permissions to CHMOD 0777.<br />Alternatively you can use the toolbox to create the folder.',
	'DL_PC_ADMIN'				=> 'Admin permissions',
	'DL_PC_HAVE_POSTS'			=> 'Has sufficient number of posts',
	'DL_PC_HAVE_TRAFFIC'		=> 'Has sufficient traffic',
	'DL_PC_VIEW_STATS'			=> 'Can view statistics',
	'DL_PC_VIEW_TRACKER'		=> 'Can use bug tracker',
	'DL_PERM_ALL'				=> 'Everybody',
	'DL_PERM_ALL_DROP_CONFIRM'	=> 'Are you certain you want to reset the permissions for all categories?<br /><br />This can not be undone so you must reset the permissions manually!',
	'DL_PERM_CATS_DROP_CONFIRM'	=> 'Are you certain you want to reset the permissions for the following categories?<br />%s<br />This can not be undone so you must reset the permissions manually!',
	'DL_PERM_DROP'				=> 'The permissions were reset successfully.',
	'DL_PERM_DROP_ABORTED'		=> 'Resetting permissions has been aborted.',
	'DL_PERM_DROP_ALL'			=> 'Reset all permissions',
	'DL_PERM_DROP_CATS'			=> 'Reset permissions for marked categories',
	'DL_PERM_DROP_NO'			=> 'Edit Permissions',
	'DL_PERM_GRG'				=> 'User groups',
	'DL_PERM_REG'				=> 'reg. User',
	'DL_PERMISSION_UPDATED'		=> 'Download permissions saved successfully',
	'DL_PERMISSIONS'			=> 'Permissions for members of the following user groups',
	'DL_PERMISSIONS_ALL'		=> 'Set permissions for all users',
	'DL_PHYSICAL_QUOTA'			=> 'Physical quota over all files',
	'DL_PHYSICAL_QUOTA_EXPLAIN'	=> 'If this quota (currently %s in use) is reached no more uploads will be allowed',
	'DL_POS'					=> 'Pos.',
	'DL_POST_COMMENT'			=> 'Write',
	'DL_POSTS'					=> 'Number of posts a user needs to get download access',
	'DL_PREVENT_HOTLINK'		=> 'Prevent links for direct downloads',
	'DL_PRIVACY'				=> 'Privacy',
	'DL_PRIVACY_BUGS'			=> 'Bug Tracker entries',
	'DL_PRIVACY_COMMENTS'		=> 'Comments on downloads',
	'DL_PRIVACY_DOWNLOAD'		=> 'Download data file',
	'DL_PRIVACY_EXPLAIN'		=> 'Using the buttons below you can download all data stored about you within the Download Extension.<br />The data will be sent to you as a simple CSV data file provided for download.<br /><br />Important: This data can be changed or even be deleted at any time by functions within the extension or in the forum. In this case it is not possible to restore this data with the downloaded files!',
	'DL_PRIVACY_IPS'			=> 'Anonymize user IPs',
	'DL_PRIVACY_STATS'			=> 'Statistical data',

	'DL_RATE_POINTS'					=> 'Maximal rating points',
	'DL_RATING'							=> 'Rating',
	'DL_RATING_COUNT'					=> '&nbsp;(%s)',
	'DL_RATING_HOVER'					=> '%1$s&nbsp;/&nbsp;%2$s',
	'DL_REAL_FILETIME'					=> 'Last file modification',
	'DL_RED_EXPLAIN'					=> 'Insufficient traffic or posts (%s posts required).',
	'DL_RED_EXPLAIN_ALT'				=> 'Insufficient traffic or posts (%s posts required).',
	'DL_RED_EXPLAIN_PERM'				=> 'No rights to download!',
	'DL_RED_EXPLAIN_T_OFF'				=> 'Insufficient posts<br />(%s posts required).',
	'DL_RELEASE_ANNOUNCEMENT'			=> 'Announcement',
	'DL_REMAIN_OVERALL_GUEST_TRAFFIC'	=> 'Remaining overall traffic for guests for this month: ',
	'DL_REMAIN_OVERALL_GUEST_TRAFFIC_F'	=> 'Remaining overall traffic for guests for this month: <strong>%s</strong>',
	'DL_REMAIN_OVERALL_TRAFFIC'			=> 'Remaining overall traffic for registered users for this month: ',
	'DL_REMAIN_OVERALL_TRAFFIC_FOOTER'	=> 'Remaining overall traffic for registered users for this month: <strong>%s</strong>',
	'DL_REMAIN_USER_TRAFFIC'			=> 'Remaining download traffic',
	'DL_REPLY_TRAFFIC'					=> 'Download traffic for every post, reply or quote',
	'DL_REPORT_BROKEN'					=> 'Allow reporting broken downloads',
	'DL_REPORT_BROKEN_LOCK'				=> 'Disable download while it is reported as broken',
	'DL_REPORT_BROKEN_MESSAGE'			=> 'Show note on defective download only if it was deactivated',
	'DL_REPORT_BROKEN_VC'				=> 'Visual confirmation to report a broken download',
	'DL_REPORT_BROKEN_VC_MISMATCH'		=> 'The confirmation code for this report is wrong. Please go back and retry.',
	'DL_REPORT_CONFIRM_CODE'			=> 'Please enter the confirmation code here to report this download as broken:',
	'DL_REPORT_NOTIFY_TEXT'				=> "---------------------------\n\nThe user has left the following message for you:\n\n%s\n\n",
	'DL_REPORT_REASON'					=> 'Reason for your report',

	'DL_RSS_ACTION_D_TXT'			=> 'Display the following message',
	'DL_RSS_ACTION_R_DLX'			=> 'Redirect to download index',
	'DL_RSS_ACTION_R_IDX'			=> 'Redirect to forum index',
	'DL_RSS_CATS'					=> 'Create feed from all or selected categories',
	'DL_RSS_CATS_ALL'				=> ' all',
	'DL_RSS_CATS_NOT_SELECTED'		=> ' not selected',
	'DL_RSS_CATS_SELECTED'			=> ' Selection',
	'DL_RSS_DESC_LENGTH'			=> 'Display descriptions',
	'DL_RSS_DESC_LENGTH_FULL'		=> 'Full description',
	'DL_RSS_DESC_LENGTH_NONE'		=> 'No description',
	'DL_RSS_DESC_LENGTH_SHORT'		=> 'Short description',
	'DL_RSS_DESC_LENGTH_SHORTEN'	=> 'Truncate description after x characters',
	'DL_RSS_ENABLE'					=> 'Enable RSS Feed for downloads',
	'DL_RSS_GUESTS'					=> 'Like guests/bots',
	'DL_RSS_NEW_UPDATE'				=> 'Mark new and updated downloads',
	'DL_RSS_NUMBER'					=> 'Number of feed entries',
	'DL_RSS_OFF_ACTION'				=> 'Action if the RSS feed is disabled',
	'DL_RSS_OFF_TEXT'				=> 'Displayed message if the options above apply',
	'DL_RSS_PERMS'					=> 'Permissions',
	'DL_RSS_SELECT'					=> 'Last or random title',
	'DL_RSS_SELECT_LAST'			=> 'Last title',
	'DL_RSS_SELECT_RANDOM'			=> 'Random title',
	'DL_RSS_USER'					=> 'Like registered users',

	'DL_SEARCH_AUTHOR'			=> 'For users which have uploaded or changed downloads',
	'DL_SEARCH_DOWNLOAD'		=> 'Search download',
	'DL_SEARCH_RESULTS'			=> 'Downloads search results',
	'DL_SEARCH_TYPE'			=> 'Restrict search result',
	'DL_SEARCH_TYPE_ALL'		=> 'Download must contain all keywords',
	'DL_SEARCH_TYPE_SINGLE'		=> 'Download should contain at least one word',
	'DL_SELECT_CAT'				=> 'Select Categories',
	'DL_SELECT_CATS'			=> 'Click to select one or more categories',
	'DL_SELECT_GROUP'			=> 'Select user groups',
	'DL_SELECT_GROUPS'			=> 'Select one or more user group',
	'DL_SELF_FILES'				=> 'Your downloads',
	'DL_SET'					=> 'Set',
	'DL_SET_ADD'				=> 'User for new downloads',
	'DL_SHORTEN_EXTERN_LINKS'	=> 'Shorten displayed external download link',
	'DL_SHORTEN_TEXT'			=> '%s [...]',
	'DL_SHOW_FILE_HASH'			=> 'Show file hash in download details',
	'DL_SHOW_FOOTER_EXT_STATS'	=> 'Show extended statistical data in download footer',
	'DL_SHOW_FOOTER_LEGEND'		=> 'Show legend in download footer',
	'DL_SHOW_FOOTER_STAT'		=> 'Show mini statistics in download footer',
	'DL_SHOW_REAL_FILETIME'		=> 'Show the time of the last file modification in download details',
	'DL_SIMILAR_DL'				=> 'Similar Downloads',
	'DL_SIMILAR_DL_LIMIT'		=> 'Number of similar downloads',
	'DL_SIMILAR_DL_OPTION'		=> 'Enable similar downloads',
	'DL_SORT_ACP'				=> 'Preset',
	'DL_SORT_BY'				=> 'Sort by name / file',
	'DL_SORT_PREFORM'			=> 'Perform sorting',
	'DL_SORT_USER'				=> 'User',
	'DL_SORT_USER_EXT'			=> 'with other criteria',
	'DL_SORT_USER_OPT'			=> 'Sort downloads for',
	'DL_STAT_EDIT'				=> 'edited',
	'DL_STAT_PERM'				=> 'Access to statistics page from user level',
	'DL_STAT_PERM_ADMIN'		=> 'Board administrators',
	'DL_STAT_PERM_ALL'			=> 'Everybody',
	'DL_STAT_PERM_MOD'			=> 'Download moderators',
	'DL_STAT_PERM_USER'			=> 'Registered users',
	'DL_STATISTICS'				=> 'Enables detailed statistics about the downloads files',
	'DL_STATS'					=> 'Download statistics',
	'DL_STATS_DELETE'			=> 'Delete statistic',
	'DL_STATS_DELETE_ALL'		=> 'Delete all statistics',
	'DL_STATS_PRUNE'			=> 'Delete statistical data since',
	'DL_STOP_UPLOADS'			=> 'Disable uploads',
	'DL_SUB_ON_INDEX'			=> 'Display subcategories on index',
	'DL_SUB_SORT_ASC'			=> 'Sort all entries of this category ascending',
	'DL_SUB_SORT_ASC_ZERO'		=> 'Sort main categories ascending',

	'DL_THUMB'						=> 'Thumbnail',
	'DL_THUMB_CAT'					=> 'Allow thumbnails',
	'DL_THUMB_DEL'					=> 'Thumbnail deleted successfully',
	'DL_THUMB_DIM_SIZE'				=> 'The thumbnail can have a maximum dimension of %s x %s pixels and the file size must be smaller than %s.',
	'DL_THUMB_DISPLAY_CAT'			=> 'Display thumbnails in category view',
	'DL_THUMB_DISPLAY_LATEST'		=> 'Display thumbnails in latest downloads',
	'DL_THUMB_DISPLAY_LISTS'		=> 'Display thumbnails in lists',
	'DL_THUMB_DISPLAY_OVERALL'		=> 'Display thumbnails in overall list',
	'DL_THUMB_DISPLAY_SEARCH'		=> 'Display thumbnails in search results',
	'DL_THUMB_DISPLAY_SET_CAT'		=> 'Activation via category',
	'DL_THUMB_DISPLAY_SET_OFF'		=> 'Disabled',
	'DL_THUMB_DISPLAY_SET_ON'		=> 'Enabled for all categiories',
	'DL_THUMB_HINTS'				=> '<strong>Please regard:</strong><br />The following images do not contain the thumbnail which is managed with the download itself. Please edit this thumbnail on editing the download.<br />On deleting an image within this section you will not get an confirmation message about this! With deleting an image, the data will be deleted from the download and the image file will be unlinked, too.',
	'DL_THUMB_MAX_DIM_X'			=> 'Maximum thumbnail width in pixels',
	'DL_THUMB_MAX_DIM_Y'			=> 'Maximum thumbnail height in pixels',
	'DL_THUMB_MAX_SIZE'				=> 'Maximum thumbnail file size',
	'DL_THUMB_TO_BIG'				=> 'The thumbnail is too large!<br />Please use a smaller file or an image with smaller dimensions.<br />Use the back button of your browser to retry the upload.',
	'DL_THUMB_UPLOAD'				=> 'Thumbnail uploaded successfully',
	'DL_TIME'						=> 'Time',
	'DL_TODO_ADD'					=> 'Add new to-do entry',
	'DL_TODO_EDIT'					=> 'Edit to-do entry',
	'DL_TODO_LINK'					=> 'Show link for to-do list',
	'DL_TOPIC_DETAILS'				=> 'More details',
	'DL_TOPIC_DROP_MODE'			=> 'Existing download topics',
	'DL_TOPIC_DROP_MODE_CLOSE'		=> 'Just close',
	'DL_TOPIC_DROP_MODE_DELETE'		=> 'Delete',
	'DL_TOPIC_DROP_MODE_MISSING'	=> 'The download is no longer available',
	'DL_TOPIC_FORUM'				=> 'Choose a forum for the topics',
	'DL_TOPIC_FORUM_C'				=> 'Category select',
	'DL_TOPIC_FORUM_T'				=> 'Choose a forum for the topics from this download category',
	'DL_TOPIC_MORE_DETAILS_OVER'	=> 'Show details on topic above the default text',
	'DL_TOPIC_MORE_DETAILS_UNDER'	=> 'Show details on topic beneath the default text',
	'DL_TOPIC_NO_MORE_DETAILS'		=> 'Show only default text on topic',
	'DL_TOPIC_POST_CATNAME'			=> 'Insert category name in post text',
	'DL_TOPIC_SUBJECT'				=> 'Topic about download %s',
	'DL_TOPIC_TEXT'					=> 'Text for the topic',
	'DL_TOPIC_TITLE_CATNAME'		=> 'Add category name to topic title',
	'DL_TOPIC_USER_CAT'				=> 'Select in categories',
	'DL_TOPIC_USER_OTHER'			=> 'Select user',
	'DL_TOPIC_USER_SELF'			=> 'The current user',
	'DL_TOPIC_USER'					=> 'User of the topic',
	'DL_TOTAL_ENTRIES'				=> 'Found entries',
	'DL_TOTAL_STAT'					=> 'There are overall %s downloads with a size of %s / %s. This includes %s external downloads.',
	'DL_TRAFFIC_CUR_MONTH'			=> 'Traffic for this month',
	'DL_TRAFFIC_OFF'				=> 'Switch traffic management off',
	'DL_TRAFFIC_OFF_EXPLAIN'		=> '<strong>The traffic management is currently off-line.</strong>',
	'DL_TRAFFIC_OVERALL'			=> 'Traffic overall',
	'DL_TRAFFICS_FOUNDER_INFO'		=> '<strong>Information for founders:</strong> %s',
	'DL_TRAFFICS_ON_ALL'			=> 'Enabled for all reg. users',
	'DL_TRAFFICS_ON_GROUPS'			=> 'Enabled for selected user groups',
	'DL_TRAFFICS_OFF_GROUPS'		=> 'Disabled for selected user groups',
	'DL_TRAFFICS_OFF_ALL'			=> 'Disabled for all reg. users',
	'DL_TRAFFICS_FOUNDER'			=> 'Disable traffic management for founders',
	'DL_TRAFFICS_OVERALL'			=> 'Limit overall traffic for reg. users',
	'DL_TRAFFICS_OVERALL_GROUPS'	=> 'Limit overall traffic for these user groups',
	'DL_TRAFFICS_USERS'				=> 'Limit user traffic',
	'DL_TRAFFICS_USERS_GROUPS'		=> 'Limit user traffic for these user groups',
	'DL_TRAFFICS_GUESTS'			=> 'Limit overall traffic for guests',
	'DL_TRANSLATION'				=> 'Download Extension English language &copy; by OXPUS',

	'DL_UNAPPROVED'				=> '[ unapproved ]',
	'DL_UNASSIGNED_EXISTS'		=> '%s unassigned downloads found in category folder.<br />To use these files, please use the ACP module <strong>Download Management</strong>.',
	'DL_UNASSIGNED_FILES'		=> 'Check for unassigned downloads',
	'DL_UNKNOWN_FILE'			=> 'Unknown file',
	'DL_UNMARK'					=> 'Unmark all',
	'DL_UP'						=> 'up',
	'DL_UP_TO_DATE'				=> '%s is up to date',
	'DL_UPLOAD'					=> 'Upload a file',
	'DL_UPLOAD_ERROR'			=> 'Failed to upload this file. Please go back and try again. <br /> Contact the admin if the error persists.',
	'DL_UPLOAD_FILE'			=> 'Create Download',
	'DL_UPLOAD_MAX_FILESIZE'	=> 'Maximum allowed file size: %s',
	'DL_UPLOAD_ONE_MORE'		=> '%sClick here to create another download%s',
	'DL_UPLOAD_TRAFFIC'			=> 'The size of uploaded files is debited on the overall traffic. Keep this in mind when choosing the file size!',
	'DL_UPLOAD_TRAFFIC_COUNT'	=> 'Also debit the overall traffic for uploads',
	'DL_UPLOADS_COUNT'			=> 'Number of uploads',
	'DL_UPLOADS_TRAFFIC'		=> 'Overall upload traffic',
	'DL_USE_EXT_BLACKLIST'		=> 'Enable blacklist for file types',
	'DL_USE_HACKLIST'			=> 'Activate hacks list',
	'DL_USE_TODOLIST'			=> 'Activate To-do list',
	'DL_USER_AUTO_TRAFFIC'		=> 'Traffic for users',
	'DL_USER_AUTO_TRAFFIC_USER'	=> 'Traffic for this user updated successfully',
	'DL_USER_CONFIG_SAVED'		=> 'User configuration for downloads updated successfully.<br /><br />%sClick here to return to the settings%s',
	'DL_USER_ID'				=> 'User ID',
	'DL_USER_TRAFFIC_ONCE'		=> 'Debit user traffic only once per download',
	'DL_USERS_WITHOUT_GROUP'	=> 'Users without a membership in a user group',

	'DL_VC_NOT_FOUND'				=> 'The confirmation code could not be found. Please go back and retry.',
	'DL_VC_PERMISSION'				=> 'The confirmation code for this download is wrong. Please go back and retry.',
	'DL_VER_DEL_ERROR'				=> 'You have not selected a version you want to delete.<br />Please go back and change your setting.',
	'DL_VERSION'					=> 'Release Option',
	'DL_VERSION_ADD_NEW'			=> 'Add new file as new release for the current file',
	'DL_VERSION_ADD_OLD'			=> 'Add new file as additional release besides the current file',
	'DL_VERSION_CHECK'				=> 'Extension Version Check',
	'DL_VERSION_CURRENT'			=> 'Current file',
	'DL_VERSION_DELETE'				=> 'Delete the following selected versions',
	'DL_VERSION_DELETE_EXPLAIN'		=> 'Attention: If you delete versions, all other changes for this download will be ignored and not saved!',
	'DL_VERSION_REPLACE'			=> 'Replace the following release with the new file',
	'DL_VERSION_REPLACE_EXPLAIN'	=> 'The download will only be updated if no new file is uploaded.',
	'DL_VERSIONS'					=> 'Releases',
	'DL_VIEW_COMMENTS'				=> 'Show',
	'DL_VIEW_DOWNLOADS'				=> 'View downloads',
	'DL_VIEW_LINK'					=> 'View download',
	'DL_VIEW_PERM'					=> 'View effective permissions',
	'DL_VISUAL_CONFIRMATION'		=> 'Visual confirmation to download a file',

	'DL_WHITE_EXPLAIN'			=> 'Free download without traffic debit for registered users',
	'DL_WHITE_EXPLAIN_T_OFF'	=> 'Free download for registered users',

	'DL_YELLOW_EXPLAIN'	=> 'Download! Traffic will be debited on user account.',
	'DL_YES'			=> 'Yes',
	'DL_YES_REG'		=> 'Yes for<br />reg. User',

	'DL_DOWNLOAD_ADDED'			=> 'The download has been added',
	'DL_DOWNLOAD_PATH'			=> 'Path to your downloads',
	'DL_DOWNLOAD_PATH_EXPLAIN'	=> 'This path is specified in the board settings for file attachments.<br />If this folder is changed, all contained files must be moved manually.',
	'DL_DOWNLOAD_REMOVED'		=> 'The Download was deleted',
	'DL_DOWNLOAD_UPDATED'		=> 'The information was updated',
	'DOWNLOADS'					=> 'Downloads',
	'DL_DOWNLOADS'				=> 'Downloads',
	'MCP_DOWNLOADS'				=> 'Downloads',
	'DL_MCP_DOWNLOADS'			=> 'Downloads',

	'DL_EXTENSION_REMOVED'		=> 'File Extension dropped successfully from blacklist.',
	'DL_EXTENSIONS_REMOVED'		=> 'File Extensions dropped successfully from blacklist.',

	'DL_FIELD_REQUIRED'			=> 'The field “%s” must be completed.',
	'DL_FIELD_TOO_SHORT'		=> 'The field “%1$s” is too short, a minimum of %2$d characters is required.',
	'DL_FIELD_TOO_LONG'			=> 'The field “%1$s” is too long, a maximum of %2$d characters is allowed.',
	'DL_FIELD_TOO_SMALL'		=> 'The value of “%1$s” is too small, a minimum value of %2$d is required.',
	'DL_FIELD_TOO_LARGE'		=> 'The value of “%1$s” is too large, a maximum value of %2$d is allowed.',
	'DL_FIELD_INVALID_DATE'		=> 'The field “%s” has an invalid date.',

	'DL_MUST_SELECT_DOWNLOAD'	=> 'Select a download.',

	'DL_SINGLE_USER_TRAFFIC_TITLE'	=> 'Traffic for a single user',

	'DL_TRAFFIC'							=> 'Traffic',
	'DL_TRAFFIC_ALL_USERS_ADMIN_EXPLAIN'	=> 'Add or set the traffic for all users.',
	'DL_TRAFFIC_SINGLE_USER_ADMIN_EXPLAIN'	=> 'Add or set the traffic for a single user.',
	'DL_TRAFFIC_USERGROUP_ADMIN_EXPLAIN'	=> 'Add or set the traffic for all members of a user group.',

	'DL_USERGROUP_TRAFFIC_TITLE'			=> 'Traffic for members of a user group',
	'DL_USERS_TRAFFIC_TITLE'				=> 'Traffic for all users',

	'DL_VIEW_BUG_REPORTS'		=> '%d Reports',
	'DL_VIEW_DOWNLOADS_NUM'		=> '%d Downloads',
	'DL_VIEW_DL_STATS'			=> '%d Entries',

	'DL_REPORT_STATUS_0'	=> 'new',
	'DL_REPORT_STATUS_1'	=> 'viewed',
	'DL_REPORT_STATUS_2'	=> 'in progress',
	'DL_REPORT_STATUS_3'	=> 'pending',
	'DL_REPORT_STATUS_4'	=> 'finished',
	'DL_REPORT_STATUS_5'	=> 'dropped',

	'DL_BUG_REPORT_EMAIL_STATUS'	=> 'This message was left regarding the new status:
	--------------------
	%s
	--------------------',

	'DL_NOTIFICATIONS'				=> 'Download notifications',
	'DL_NOTIFICATIONS_MOD'			=> 'Moderation of downloads',
	'DL_NOTIFICATIONS_TRACKER'		=> 'Bug Tracker Reports',

	'DL_NOTIFY_TYPE_BT_ASSIGN'		=> 'Someone assigned a report to me',
	'DL_NOTIFY_TYPE_BT_STATUS'		=> 'Someone changed the status of a report',
	'DL_NOTIFY_TYPE_NEW'			=> 'Someone added a new download',
	'DL_NOTIFY_TYPE_UPDATE'			=> 'Someone changed a download from your favorites',
	'DL_NOTIFY_TYPE_APPROVE'		=> 'A download must be approved',
	'DL_NOTIFY_TYPE_BROKEN'			=> 'Someone reported a download',
	'DL_NOTIFY_TYPE_CAPPROVE'		=> 'A comment must be approved',
	'DL_NOTIFY_TYPE_COMMENTS'		=> 'Someone commented on a download from your favorites',

	'DL_NOTIFY_BT_ASSIGN'			=> '<strong>Assigned</strong> report: %1$s',
	'DL_NOTIFY_BT_STATUS'			=> '<strong>New</strong> status of report: %1$s',
	'DL_NOTIFY_NEW'					=> '<strong>New</strong> download: %1$s',
	'DL_NOTIFY_UPDATE'				=> '<strong>Changed</strong> download: %1$s',
	'DL_NOTIFY_APPROVE'				=> '<strong>Approval</strong> requested for download: %1$s',
	'DL_NOTIFY_BROKEN'				=> '<strong>Reported</strong> download: %1$s',
	'DL_NOTIFY_CAPPROVE'			=> '<strong>Approval</strong> requestet for comment on download: %1$s',
	'DL_NOTIFY_COMMENTS'			=> '<strong>New</strong> comment on download: %1$s',
]);
